Note links
Use the link kept in a user's note (for example a Google Drive file) as their subscription link.
2 endpoints
GET /api/note-link
Read Note Link
Whether the link in a user's note is used as their subscription link, which link starts count, how many users have such a note, and the state of the webhook that usually writes it.
Sudo admin only
Response 200 Successful Response · NoteLinkState
Response fields
| Field | Type | Description |
|---|---|---|
enabled | boolean | |
prefixes | string[] | |
matching_users | integer | |
total_users | integer | |
webhook | object |
json
{
"enabled": false,
"prefixes": [
"string"
],
"matching_users": 0,
"total_users": 0,
"webhook": {}
}Errors: 401 Unauthorized
bash
curl -X GET 'https://YOUR-PANEL/api/note-link' \
-H 'Authorization: Bearer $TOKEN'PUT /api/note-link
Update Note Link
Turn the note link on or off and set the link starts (prefixes, each starting with https://).
Sudo admin only
Request body application/json · NoteLinkSettings
| Field | Type | Required | Description |
|---|---|---|---|
enabled | boolean | no | Default: false. |
prefixes | string[] | no | Default: ["https://www.googleapis.com/"]. |
json
{
"enabled": false,
"prefixes": [
"https://www.googleapis.com/"
]
}Response 200 Successful Response · NoteLinkState
Response fields
| Field | Type | Description |
|---|---|---|
enabled | boolean | |
prefixes | string[] | |
matching_users | integer | |
total_users | integer | |
webhook | object |
json
{
"enabled": false,
"prefixes": [
"string"
],
"matching_users": 0,
"total_users": 0,
"webhook": {}
}Errors: 401 Unauthorized
bash
curl -X PUT 'https://YOUR-PANEL/api/note-link' \
-H 'Authorization: Bearer $TOKEN' \
-H 'Content-Type: application/json' \
-d '{"enabled": false, "prefixes": ["https://www.googleapis.com/"]}'